#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("DEMPT.INP");
	ofstream f2("DEMPT.OUT");
	int n,m;
	f1>>n>>m;
	int i;
	int u[n];
	int v[m];
	for(i=0;i<n;i++)
	{
		f1>>u[i];
	}
	for(i=0;i<m;i++)
	{
		f1>>v[i];
	}
	f1.close();
	sort(u,u+n);
	sort(v,v+m);
	int j;
	int dem=0;
	for(i=0;i<n;i++)
	{
		for(j=0;j<m;j++)
		{
			if(u[i]==v[j])
			{
				dem++;
				break;
			}
			if(u[i]<v[j]) break;
		}
	}
	f2<<dem;
	for(i=0;i<n;i++)
	{
		for(j=0;j<m;j++)
		{
			if(u[i]==v[j])
			{
				break;
			}
			if(u[i]<v[j]) break;
		}
	}
	f2.close();
	return 0;
}
